# Command: shrink

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    shrink - Reduce the capacity of an array or string to its minimum.

Synopsis:

    array shrink -> array bool

Description:

    Shrink reduces the capacity of an array or string to its minimum.
      The boolean return value indicates whether a re-sizing of the array was done.

SeeAlso:

- capacity
- reserve
- allocations

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/sli/slidata.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative